function [R2Out, VOut] = BisectionR2GivenMultip(f, p, x, W,s4, s10, BETA,R2Low, R2High, R2tol, VBasis, l1)

VOut = polynomial(0);
R2Out = 0;

if R2Low>0
    R2 = R2Low;
    R2Low = 0;
else
    R2 = R2High/2;
end

while R2High - R2Low > R2tol    
    [isfeasp,V] = check_givenMultip(s4,s10,R2,f,BETA,VBasis, x, W, p, l1);
    if ~isfeasp
        R2High = R2;
    else
        R2Low = R2;
        R2Out = R2;
        VOut = V;
    end
    R2 = 0.5*(R2Low+R2High);
end