


%% form the system xdot = f(x,w), z = h(x)
pvar x1 x2 w
gamma = 3;
x = [x1;x2];
f = [-x1+x2-x1*x2^2;-x2-x1^2*x2+w];
h = x2;



%%% These need to be set up at this point
gainCons.sBasis = monomials([x;w],0:1);
gainCons.VBasis = monomials(x,2:2);
gainCons.l1 = 1e-6*x'*x;

%% Options - this is optional 
%% These values are also the default values
Opt.R2High = 1000;
Opt.R2Low = 0;
Opt.BisTol = 1e-3;
Opt.MaxIter = 20;
Opt.StopTol = 1e-3;
Opt.display = 1;


[ROut, VOut, sOut] =...
    L2toL2Gain(f,h,x,w,gamma, gainCons)