
% set up the problem beta, p, f, 

beta = 6;
pvar x1 x2 w
x = [x1;x2];
f = [-x1+x2-x1*x2^2;-x2-x1^2*x2+w];
p = 8*x1^2-8*x1*x2+4*x2^2;


% Options - these are optional (see Reach.m for default values)

Opt.R2High = 10;
Opt.R2Low = 0;
Opt.BisTol = 1e-3;
Opt.MaxIter = 30;
Opt.StopTol = 1e-3;
Opt.display = 1;



% basis for the multipliers and V (and l1 in "V-l1 is SOS")
reachCons.s4Basis = monomials(x,0:0);
reachCons.s10Basis = monomials([x;w],1:1);
reachCons.VBasis = monomials(x,2:2);
reachCons.l1 = 1e-6*x'*x;

[R, V, s4, s10] =...
    Reach(f,x,w, p, beta, reachCons, Opt)