function outs = cluster_cellBetaCenter(ins)


 fnom = ins.fnom;
 fver = ins.fver;
 XList = ins.XList;
 roaconstr = ins.roaconstr;
 opt = ins.opt;
 prior = ins.prior;
 
 
 outs.Beta = 0;             
 outs.V = polynomial(0);     
 outs.Gamma = 0;             
 outs.UpB = inf;       
 outs.NominalBeta = 0;
 
 
 [Beta,V,Gamma,UpB,NominalBeta] = cellBetaCenter(fnom,fver,XList, roaconstr, opt, prior);
 
  
 outs.Beta = Beta;
 outs.V = V;
 outs.Gamma = Gamma;
 outs.UpB = UpB;
 outs.NominalBeta = NominalBeta;
 
