function [contain,order] = fNOMcontainfVER(fNOM,fVER)

% checks if every column of fVER is a column of fNOM
n = size(fVER,2);
order = zeros(n,1);
nx = size(fVER,1);
m = size(fNOM,2);

if m==n && all(all(fNOM == fVER))
    order = [1:n]';
else
    for i1 = 1:n
        aux = double((fNOM - repmat(fVER(:,i1),1,m)) == polynomial(zeros(nx,m)));
        aux = prod(aux,1);
        ind = find(aux>0);
        if ~isempty(ind)
            ind = ind(1);
            order(i1) = ind;
        end
    end
end

contain = double(all(order));
