function [isfeasp,Vout] = check_givenMultip(s4,s10,R2,fpp,b,VBasis, xpp, wpp, p, l1)



if 1
    % PJS 6/4/2009 SOSOPT Code
    Vout = polynomial(0);
    V = polydecvar('c',VBasis,'vec');
    sosineq{1} = V-l1;
    sosineq{2} =  -((R2-V)*s10+jacobian(V,xpp)*fpp-wpp^2);
    sosineq{3} =  (b-p)-(R2-V)*s4;
    [info,dopt] = sosopt(sosineq,[xpp;wpp]);
    isfeasp = info.feas;
    if isfeasp
        Vout = subs(V,dopt);
    end
else
    % Original SOSTOOLs Code
    Vout = polynomial(0);
    vars = [xpp;wpp];
    prog1 = sosprogram([xpp;wpp]);
    [prog1,V] = sospolyvar(prog1,VBasis);
    prog1 = sosineq(prog1, V - l1);
    prog1 = sosineq(prog1, -((R2-V)*s10+jacobian(V,xpp)*fpp-wpp^2));
    prog1 = sosineq(prog1, (b-p)-(R2-V)*s4);
    [prog1,info] = sossolve(prog1);
    isfeasp = check_feasp(info,'sedumi');
    if isfeasp
        Vout = sosgetsol(prog1,V);
    end
end
