function [Beta,V,Gamma] = BandBstep(cc, k, f_affine, XList, roaconstr, opt)


m = length(cc)/2;
[fnom,fver] = getf(f_affine,cc);
info.cell = cc;
[BetaBnds_nom, V, info_nom] = RoaEst(fnom, XList, roaconstr, opt);
info.nominalinfo = info_nom;

opt.getgamma.maxgamma = info_nom.iteration(end).getgamma.Gamma;

Gamma = 0; r1 = [];
Beta = 0;  r2 = [];


ginfo = getgamma_Affine(V, fver, XList, roaconstr, opt, 0);
Gamma = ginfo.Gamma; r1 = ginfo.r1;
if Gamma > 0
    binfo = getbeta_Affine(V, Gamma, XList, roaconstr, opt, 0);
    Beta = binfo.Beta;  r2 = binfo.r2;
end

info.r1 = r1;
info.r2 = r2;
info.V = V;
info.Beta = Beta;
info.Gamma = Gamma;

fina = ['BandB' int2str(k)];
cd('/opt/matlab/work/utopcu');
save(fina,'info');