function [c,info] = findVfeas_OnlyLP(A, b, opt)

obj     = [];
a     = sparse(A);
blc   = [];
buc   = sparse([b]);
[res] = msklpopt(obj,a,blc,buc);
sol   = res.sol;

if ~isequal(res.sol.itr.prosta,'PRIMAL_AND_DUAL_FEASIBLE')
    c = [];
    info.optimalDualVar = [];
else
    c = sol.itr.xx;      % x solution.
    info.mosekoutput = res;
    info.optimalDualVar = sol.itr.sux'; % Dual variables corresponding to buc.
end





