function ginfo = getgamma_Affine(V, fList, XList, roaconstr, opt, GammaCurrent);

% No error checking
szF = size(fList);
Nsys = szF(2);

zr = roaconstr.zr1;
mu = roaconstr.mu;

isfeasp = 1;
i1 = 1;
Gamma = inf;
r1 = polynomial(zeros(Nsys,1));

while isfeasp & i1 <= Nsys & Gamma>0
    [isfeasp, g, r1aux] = vdotcontain_Affine(V,XList, fList(:,i1), zr, mu, opt, GammaCurrent);
    try
    r1(i1) = r1aux;
    catch
        keyboard
    end
    if isfeasp 
        Gamma = min([Gamma,g]);
    end
    i1 = i1 + 1;
end


if isfeasp 
    ginfo.Gamma = Gamma;
else
    ginfo.Gamma = 0;
end

    
ginfo.r1 = r1;
